
From: Pavel Machek <pavel@ucw.cz>

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/signal.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN kernel/signal.c~signalc-convert-assertion-to-bug_on kernel/signal.c
--- 25/kernel/signal.c~signalc-convert-assertion-to-bug_on	2005-01-10 17:29:32.403960768 -0800
+++ 25-akpm/kernel/signal.c	2005-01-10 17:29:32.408960008 -0800
@@ -1456,8 +1456,7 @@ void do_notify_parent(struct task_struct
 	unsigned long flags;
 	struct sighand_struct *psig;
 
-	if (sig == -1)
-		BUG();
+	BUG_ON(sig == -1);
 
  	/* do_notify_parent_cldstop should have been called instead.  */
  	BUG_ON(tsk->state & (TASK_STOPPED|TASK_TRACED));
_
